Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Sms.STATUS

    java.lang.Object
      java.lang.Enum<Sms.STATUS>
          com.skype.api.Sms.STATUS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Sms.STATUS>

Enclosing class:
  Sms

    public static enum Sms.STATUS

extends java.lang.Enum<Sms.STATUS>

Enum Constant Summary
`COMPOSING`
`DELIVERED`
`FAILED`
`SENDING_TO_SERVER`
`SENT_TO_SERVER`
`SOME_TARGETS_FAILED`

Method Summary
`static Sms.STATUS` | `fromString(java.lang.String s)`
`static Sms.STATUS` | `get(int code)`
`int` | `getId()`
`static Sms.STATUS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Sms.STATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMPOSING

    public static final Sms.STATUS COMPOSING

### SENDING_TO_SERVER

    public static final Sms.STATUS SENDING_TO_SERVER

### SENT_TO_SERVER

    public static final Sms.STATUS SENT_TO_SERVER

### DELIVERED

    public static final Sms.STATUS DELIVERED

### SOME_TARGETS_FAILED

    public static final Sms.STATUS SOME_TARGETS_FAILED

### FAILED

    public static final Sms.STATUS FAILED

Method Detail

### values

    public static Sms.STATUS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sms.STATUS c : Sms.STATUS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sms.STATUS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Sms.STATUS get(int code)

### fromString

    public static Sms.STATUS fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.